from Kplot import *
from os import system
import inspect
chapter("Appendix B - simple examples", 0)
from Kplot.tools import stripsource
def example(cls):
	#if hasattr(cls, "example"):
	s = stripsource(inspect.getsource(cls.example))
	oldsize = os.environ["KPLOT_SIZE"]
	os.environ["KPLOT_SIZE"] = "(50, 50)"
	os.environ["KPLOT_FILENAME"] = cls.__name__
	#os.system("python -c 'import Kplot; Kplot.%s.example()'" % cls.__name__)
	exec "%s.example()" % cls.__name__
	chapter("Kplot." +cls.__name__, 1)
	code(s)
	image("%s.png" % cls.__name__, 50, 50)
	os.environ["KPLOT_SIZE"] = oldsize


text("""
All these example can be be run and printed from the Python console.<br>
""")

code("""ishi@~> python
Python 2.2.1 (#1, Apr 11 2002, 15:27:15)
[GCC 2.95.3 20010315 (release)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import Kplot
>>> Kplot.Polygon.examplesource()
import Kplot

print "Polygon example"

x = [1, 4, 4, 1]
y = [1, 1, 4, 4]
polygon = Kplot.Polygon(x, y, fillstyle="crosshatched", color="blue")

dev = Kplot.createDevice()
panel = dev.createPanel()
panel.add(polygon)
panel.setWorld(p1=(0, 0), p2=(5, 5))
dev.output()
dev.close()
>>> Kplot.Polygon.example()
Polygon example
 Type &lt;RETURN&gt; for next page:
>>>""")

example(Polyline)
example(Polygon)
example(Text)
example(Image)

#(non basic)
example(Line)
example(Marker)
example(Markers)
example(Circle)
example(Rectangle)

#(compound)
example(MarkerLine)

#(complex)
example(Histogram)
example(Arrow)
example(Wedge)
example(Axis)
example(Box)
example(Grid)




