"""
-Introduction
	-What is Kplot
		[Vector based OO plot library
	-About this document
		[Intro, tell about the chapters to come]
-Simple interface
	-Graph
	-Scatter
	-Image
-About Kplot and OO
	-Object Oriented Ideas
		[Classes, objects, Shape, area, perimeter and area]
	-How to use the API Reference
		[each class is described in the API reference]
	-Object Oriented example in Python
		[class Shape, class Rect
-Normal interface
	-Device
		-What is a Device
			[It acts like a surface to plot on, does primitive plot operations]
		-How do i use a Device
			[Plot polylines, polygons, example]
		-What devices are there
			[Pgplot, Postscript, Qt?]
		-Device details
			[World matrix, Viewport matrix]
	-PlotObject
		-What is a PlotObject
			[It contains algorithms to plot more complex objects, provides defaults]
		-How do i use a  PlotObject
			[Plot complex objects, Rectangle example]
		-Making your own PlotObject
	-Panel
		-What is a Panel
			[A container for plotobjects, holds the state of the whole plot,
				ready to replot on changes]
		-How do i use a Panel
			[setWorld(XY/Image), example, split, mosaic, example]
	-An overview of Device, PlotObject and Panel
-Aditional topics
	-Contour lines
	-Matrices and Vectors
	-Coordinate systems and units
-Appendices...


"""
import Kplot

chapter("Introduction", 0)
chapter("What is Kpot",1)
text(Kplot.__doc__)

chapter("About this document",1)
text("""Some plots like a x,y graph are quite simple, and should not
be difficult to make. Other plots may require complex behaviour of a plot package.
Kplot therefore has two 'layers' of classes.
There is the normal, 'low level' layer, where much is possible, but requires
a lot of script lines for just a basic x,y graph.
Therefore a (simple) layer is build on top of this.
A graph can be make in just a few lines""")
text("""In the chapter 'Simple interface' you will learn how to make
plots using the simple layer. The chapter 'Normal interface' will
tell you more about Kplot, so you will be able to make more complicated plots.""")
#text("""The chapter
