#!/usr/bin/env python2.2
import Kplot

def makeHardcopyDevice(filename):
	"""Makes a default hardcopy device, don't add extension to filename"""
	from Kplot import pgplot
	devicename = filename +".gif/GIF"
	dev = pgplot.Device(devicename=devicename, colors=32)
	dev.setBgColor(Kplot.Color.white)
	dev.setFgColor(Kplot.Color.blue)
	return dev
Kplot.makeHardcopyDevice = makeHardcopyDevice

#x = arrayrange(0,2*pi, 0.1)
#y = sin( x )
#g = Graph(x, y)
#g.bottomlabel.text = "x"
#g.leftlabel.text = "y"
#g.device.hardcopy("graph1")

#t = arange(0, 2 * 2*pi + 0.05, 0.1)
#x = t#t * cos( t )
#y = cos(t*5.0)/2.0 + t * sin( t )

import Kplot
import Numeric
x = Numeric.arange(11)
y = x ** 2
g = Kplot.simple.Graph(x, y)
g.toplabel.text.color = "red"
g.line.color = "red"
g.device.hardcopy("graph")

s = Kplot.simple.Scatter(x, y, Kplot.points.solidstar)
s.scatter.points.color = "red"
s.scatter.polyline.color = "blue"
s.device.hardcopy("scatter")
