#!/usr/bin/env python
from distutils.core import setup, Extension
import os
import Kplot

name = "Kplot"
version = Kplot.version
description = "A Python Object Oriented vector plotting library"
author = "M.A. Breddels"
author_email = "breddels@astro.rug.nl"
url = "http://www.astro.rug.nl/~kplot/"

packages = []
packages.append(name)
packages.append(name+".plotobjects")
packages.append(name+".points")
packages.append(name+".algo")
packages.append(name+".pgplot")
packages.append(name+".dummy")
packages.append(name+".ps")
packages.append(name+".simple")
packages.append(name+".quick")
#packages.append(name+".")

setup(name=name,
	packages=packages,
	version=version,
	description=description,
	author=author,
	author_email=author_email,
	url=url
	#package_dir = {"Kplot":"src/Kplot"}
	#ext_modules=[skycoExtension, wcsExtension]
	)

