#!/usr/bin/env python2.2
from Kplot import *
import unittest
import math
from math import *
from plotobject import PlotObjectTest
from Numeric import *

class LineTest(PlotObjectTest):
	def testPlot(self):
		line = Line((10, 20), (3, 8))
		line.plot(self.dev)
		line = Line([10, 20], [3, 8])
		line.plot(self.dev)

class MarkerTest(PlotObjectTest):
	def testPlot(self):
		marker = Marker((10, 20), markertype.tristar)
		marker.plot(self.dev)
		marker = Marker([10, 20], markertype.square)
		marker.plot(self.dev)

class MarkersTest(PlotObjectTest):
	def testPlot(self):
		markers = Markers([1,2,3], [1,2,3], markertype.tristar)
		markers.plot(self.dev)
		markers = Markers((1,2,3), (1,2,3), markertype.square)
		markers.plot(self.dev)
		markers = Markers((1,2,3,4), (1,2,3), markertype.square)
		markers.plot(self.dev)
		markers = Markers((1,2,3), (1,2,3,4), markertype.square)
		markers.plot(self.dev)

class RectangleTest(PlotObjectTest):
	def testPlot(self):
		rect = Rectangle((0, 0), (10, 20))
		rect.plot(self.dev)
		rect = Rectangle([0, 0], [10, 20])
		rect.plot(self.dev)

if __name__ == '__main__':
	unittest.main()


